"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_1 = require("@oclif/test");
const test_utils_1 = require("../__tests__/test-utils");
require("chai");
describe('swagger2openapi', () => {
    test_1.test
        .stdout()
        .command(['swagger2openapi', (0, test_utils_1.resourcePath)('swagger.json')])
        .it('converts json swagger to openapi v3', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('openapi: 3');
        (0, test_1.expect)(ctx.stdout).to.contain('My API');
    });
    test_1.test
        .stdout()
        .command(['swagger2openapi', (0, test_utils_1.resourcePath)('swagger.yml')])
        .it('converts yaml swagger to openapi v3', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('openapi: 3');
        (0, test_1.expect)(ctx.stdout).to.contain('My API');
    });
    test_1.test
        .stdout()
        .command(['swagger2openapi', (0, test_utils_1.resourcePath)('swagger.json'), '--json'])
        .it('converts swagger to openapi v3 json', (ctx) => {
        (0, test_1.expect)(ctx.stdout).to.contain('{');
        (0, test_1.expect)(ctx.stdout).to.contain('"openapi": "3');
        (0, test_1.expect)(ctx.stdout).to.contain('My API');
        (0, test_1.expect)(ctx.stdout).to.contain('}');
    });
});
