import { Document } from "@apidevtools/swagger-parser";
/**
 * Context is a global shared object during the lifecycle of a command
 *
 * Since we may spawn multiple nodejs processes, we store context in the filesystem
 */
export interface Context {
    document: Document;
    flags: {
        interactive: boolean;
        [key: string]: any;
    };
}
export declare const getContext: () => Partial<Context>;
export type ContextSetter = (prev: Partial<Context>) => Partial<Context>;
export declare const setContext: (fn: ContextSetter) => void;
