"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.maybeSimplePrompt = exports.maybePrompt = void 0;
const context_1 = require("./context");
const maybePrompt = async (questions, initialAnswers) => {
    var _a;
    const context = (0, context_1.getContext)();
    if (((_a = context.flags) === null || _a === void 0 ? void 0 : _a.interactive) !== false) {
        const inquirer = await Promise.resolve().then(() => require('inquirer'));
        return inquirer.prompt(questions, initialAnswers);
    }
    // instead return default values without prompting
    const defaultValues = {};
    const questionsArray = Array.isArray(questions) ? questions : [questions];
    questionsArray.forEach((question) => {
        if (question.name && question.default !== undefined) {
            defaultValues[question.name] = question.default;
        }
    });
    return defaultValues;
};
exports.maybePrompt = maybePrompt;
const maybeSimplePrompt = async (...args) => {
    var _a, _b, _c;
    const context = (0, context_1.getContext)();
    if (((_a = context.flags) === null || _a === void 0 ? void 0 : _a.interactive) !== false) {
        const cli = await Promise.resolve().then(() => require('cli-ux'));
        return cli.cli.prompt(...args);
    }
    return (_c = (_b = args[1]) === null || _b === void 0 ? void 0 : _b.default) !== null && _c !== void 0 ? _c : undefined;
};
exports.maybeSimplePrompt = maybeSimplePrompt;
